Cars Quotes

A price and availability confirmed quote for a rental car.

base_amount
stringnullable

The base amount as a decimal string.

Example: "95.22"
base_currency
string

The base currency code (ISO 4217).

Example: "GBP"
car
object
charges
listnullable

A list of charges included in the quote.

conditions
list

Terms and conditions for the rental.

dropoff_date
date

Requested vehicle dropoff date.

Example: "2024-01-20"
dropoff_location
object
dropoff_time
string

Requested vehicle dropoff time, in 24-hour format (HH:MM).

Example: "15:00"
id
string

The unique identifier for the quote.

Example: "qut_0000Bx4Af0b5l45AT50eqO"
live_mode
boolean

Whether this quote was created in live mode.

Example: false
mileage
object
payment_type
enum

The type of payment required for the rental.

Possible values: "postpaid", "guarantee", or "prepaid"
pickup_date
date

Requested vehicle pickup date.

Example: "2024-01-15"
pickup_location
object
pickup_time
string

Requested vehicle pickup time, in 24-hour format (HH:MM).

Example: "10:30"
privacy_policies
listnullable

Privacy policy disclosures for this rental. These entries must be presented for independent user acceptance during the checkout process.

rate_id
string

The identifier of the rate this quote is based on.

Example: "rae_0000Bx4Af0b5l45AT50eqO"
search_id
string

The identifier of the search that generated this quote.

Example: "seh_0000AwrHw8KES5d3z1l0uu"
supplier
object
total_amount
string

The total amount as a decimal string.

Example: "101.34"
total_currency
string

The total currency code (ISO 4217).

Example: "GBP"

Takes a Rate for a rental car and creates a priced Quote.

Body parameters

rate_id
stringrequired

The identifier of the rate to create a quote from.

Example: "rae_0000Bx4Af0b5l45AT50eqO"

Endpoint

POST https://api.duffel.com/cars/quotes

Request

curl -X POST --compressed "https://api.duffel.com/cars/quotes" \
-H "Accept-Encoding: gzip" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "Duffel-Version: v2" \
-H "Authorization: Bearer <YOUR_ACCESS_TOKEN>" \
-d '{
"data": {
"rate_id": "rae_0000Bx4Af0b5l45AT50eqO"
}
}'

Response

{
"data": {
"total_currency": "GBP",
"total_amount": "101.34",
"supplier": {
"name": "Duffel Test Drive",
"logo_url": "https://duffel.com/logo.jpg"
},
"search_id": "seh_0000AwrHw8KES5d3z1l0uu",
"rate_id": "rae_0000Bx4Af0b5l45AT50eqO",
"privacy_policies": [
{
"text": "Your data may be shared with the supplier to process your booking.",
"title": "Customer Data Use"
}
],
"pickup_time": "10:30",
"pickup_location": {
"phone_number": "+44 1234 567890",
"opening_hours": [
{
"to": "20:00",
"from": "08:00"
}
],
"name": "Duffel Test Drive Dropoff",
"geographic_coordinates": {
"longitude": -0.4543,
"latitude": 51.47
},
"address": {
"region": "England",
"postal_code": "W1J 9BR",
"line_one": "150 Piccadilly",
"country_code": "GB",
"city_name": "London"
},
"additional_information": [
{
"title": "Pickup Instructions",
"text": "Please follow the signs to the rental car area."
}
]
},
"pickup_date": "2024-01-15",
"payment_type": "guarantee",
"live_mode": false,
"id": "qut_0000Bx4Af0b5l45AT50eqO",
"dropoff_time": "15:00",
"dropoff_location": {
"phone_number": "+44 1234 567890",
"opening_hours": [
{
"to": "20:00",
"from": "08:00"
}
],
"name": "Duffel Test Drive Dropoff",
"geographic_coordinates": {
"longitude": -0.4543,
"latitude": 51.47
},
"address": {
"region": "England",
"postal_code": "W1J 9BR",
"line_one": "150 Piccadilly",
"country_code": "GB",
"city_name": "London"
},
"additional_information": [
{
"title": "Pickup Instructions",
"text": "Please follow the signs to the rental car area."
}
]
},
"dropoff_date": "2024-01-20",
"conditions": [
{
"text": "Free cancellation up to 24 hours before pickup.",
"title": "Cancellation Policy"
}
],
"charges": [
{
"amount": "5.00",
"currency": "GBP",
"description": "Insurance fee"
}
],
"car": {
"type": "four_door",
"transmission": "automatic",
"name": "Kia Picanto",
"max_passengers": 5,
"images": [
{
"url": "https://car.com/kia_picanto.jpg"
}
],
"fuel": "petrol",
"code": "CDAV",
"category": "compact",
"baggage": {
"small": 2,
"large": 3
},
"air_conditioning": true
},
"base_currency": "GBP",
"base_amount": "95.22"
}
}